External search for customers
External search for customers
post/tenants/{tenantUid}/customers/search/external
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Query parameters
pageNumberintegerOptional
Reference to a specific page in a result set.
pageSizeintegerOptional
The number of items per page in a result set.
sortBystringOptional
Defines which field the resource list is sorted by.
sortDirectionstring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
Body
querystringOptional
Responses
200
CustomerExternalListResponse
application/json
post/tenants/{tenantUid}/customers/search/external
POST /v2/tenants/{tenantUid}/customers/search/external HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 16
{
"query": "text"
}200
CustomerExternalListResponse
{
"items": [
{
"address": "text",
"city": "text",
"companyName": "text",
"countryCode": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"customerUid": "text",
"customerType": "COMPANY",
"email": "text",
"externalId": "text",
"firstname": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastname": "text",
"ledgerNumber": "text",
"mobile": "text",
"postalCode": "text",
"pricelistUid": "text",
"vatNumber": "text",
"origin": "text"
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}PreviousSearch customers
NextExport customer data in structured form. JSON is the only available format now
Last updated
Was this helpful?

